#
# Helma Object Publisher configuration file
#
# Authors:
# Hannes Wallnoefer <hannes@helma.at>,
# Andreas Bolka
#
# This file should be placed in /etc/helma.conf.
# It is read by the Helma service control script,
# usually /etc/init.d/helma.
#

# Full path to Java executable
JAVA_HOME=/usr/lib/jvm/default-java
JAVA_BIN=$JAVA_HOME/bin/java

# Options passed to the Java runtime
JAVA_OPTS="-server -Djava.awt.headless=true -Dfile.encoding=utf-8 -Djsse.enableSNIExtension=false"

# The name of this Helma server/service and the pid file to be used
HELMA_SERVICE=helma
HELMA_PID=/var/run/helma.pid

# Helma install directory. This is where we look for the Helma jar files
# (launcher.jar, lib/* and lib/ext/*)
HELMA_INSTALL=/home/helma

# Helma home directory, in case it is different from the Helma install dir.
# This is where Helma will look for properties files and applications.
HELMA_HOME=$HELMA_INSTALL

# The user Helma should be running as
HELMA_USER=helma

# File to which standard and error output from Helma is redirected
HELMA_LOG=$HELMA_HOME/log/helma-out.log

# Helma options. Possible options are:
# -f file  - Location of server.properties file
# -p port  - RMI port
# -w port  - Web server port
# -x port  - XML-RPC port
# -jk port - AJP13 port
HELMA_ARGS="-w 8080"
